Skip to content
Open the portal
Developer docs

Custody Take

POST
/v1/custody/take
curl --request POST \
--url https://example.com/v1/custody/take \
--header 'Content-Type: application/json' \
--data '{ "provider": "aws", "config": { "additionalProperty": "example" } }'

Move custody to the customer’s own cloud: probe, dual-signed transfer statement, transfer record under the new key, then history is copied by the scheduler. Owner only.

Media typeapplication/json
CustodyIn
object
provider
required
Provider
string
Allowed values: aws gcp azure
config
Config
object
key
additional properties
string

Successful Response

Media typeapplication/json
Response Custody Take V1 Custody Take Post
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}